Company logoTrust Center Documentation

Invite user

Create a new user invitation with specified role and permissions. User will receive an invitation email to set up their account.

POST
/api/v1/users

Create a new user invitation with specified role and permissions. User will receive an invitation email to set up their account.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/users" \  -H "Content-Type: application/json" \  -d '{    "email": "admin@example.com",    "first_name": "John",    "last_name": "Admin",    "role": "admin"  }'
{  "success": true,  "data": {    "user": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "first_name": "string",      "last_name": "string",      "email": "user@example.com",      "role": {        "name": "string"      },      "status": "active",      "title": "string",      "theme": "light",      "language": "string"    },    "createdUserId": "string"  }}

How is this guide?